{ ... }:

{
  age.secrets = {
    "consul.d/agent-token-thingvellir.json" = {
      file = ../../secrets/consul.d/agent-token-thingvellir.json.age;
      owner = "consul";
      group = "consul";
      mode = "644";
    };
    "consul.d/samfelag-server-thingvellir.pem" = {
      file = ../../secrets/consul.d/samfelag-server-thingvellir.pem.age;
      owner = "consul";
      group = "consul";
      mode = "644";
    };
    "consul.d/samfelag-server-thingvellir-key.pem" = {
      file = ../../secrets/consul.d/samfelag-server-thingvellir-key.pem.age;
      owner = "consul";
      group = "consul";
      mode = "600";
    };
  };
}
